package com.mortals.xhx.module.app.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.app.model.AppConfigEntity;
import com.mortals.xhx.module.app.service.AppConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
*
* 应用列
*
* @author zxfei
* @date 2025-02-11
*/
@RestController
@RequestMapping("app/config")
public class AppConfigController extends BaseCRUDJsonBodyMappingController<AppConfigService,AppConfigEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AppConfigController(){
        super.setModuleDesc( "应用列");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


}