package com.mortals.xhx.module.user.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.user.model.vo.SearchHistoryVo;
import lombok.Data;
/**
* 用户搜索历史记录实体对象
*
* @author zxfei
* @date 2025-06-08
*/
@Data
public class SearchHistoryEntity extends SearchHistoryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 微信openid
    */
    @Excel(name = "微信openid")
    private String openId;
    /**
    * 身份证号码
    */
    private String idCard;
    /**
    * 手机号码
    */
    private String mobile;
    /**
    * 搜索内容
    */
    private String content;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SearchHistoryEntity) {
            SearchHistoryEntity tmp = (SearchHistoryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.openId = "";
            this.idCard = "";
            this.mobile = "";
            this.content = "";
    }
}