package com.mortals.xhx.module.datum.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.datum.model.vo.DatumFillQrcodeVo;
import lombok.Data;
/**
 * 材料填单二维码实体对象
 *
 * @author zxfei
 * @date 2025-06-12
 */
@Data
public class DatumFillQrcodeEntity extends DatumFillQrcodeVo {
    private static final long serialVersionUID = 1L;

    /**
     * 材料id
     */
    private Long datumId;
    /**
     * 二维码存储地址
     */
    private String qrcode;
    /**
     * 备注
     */
    private String remark;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DatumFillQrcodeEntity) {
            DatumFillQrcodeEntity tmp = (DatumFillQrcodeEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.datumId = null;
        this.qrcode = "";
        this.remark = "";
    }
}